### Définition de contraintes d’unicité

Une contrainte d’unicité garantit l’unicité des données contenues dans un attribut. Elle exige que toutes les valeurs d’un attribut soient uniques.

#### Définition d’une contrainte d’unicité dans l’arbre

Le nœud ![](../../Ressources/Images/contrainte_unicite.png)contient toutes les contraintes d’unicités liées à un type d’entité.

![](../../Ressources/Images/menu_contextuel_unicites.PNG)

La fonction **Ajouter une contrainte d’unicité** accessible via le menu contextuel permet de créer un nouvelle contrainte d’unicité.

L’interface **Caractéristique de la contrainte d’unicité** permet à l’utilisateur de spécifier l’unicité d’un ou plusieurs attributs concaténés .

![](../../Ressources/Images/unicite.png)

En cochant **Clé primaire** l’utilisateur indique que cette unicité est la clé primaire du type d’entité. Cela signifie que le champ sera affiché dans la colonne **Entité** du rapport d’erreurs de la rubrique **Analyse** afin de faciliter le lien entre la donnée en erreur et son homologue dans le jeu de données contrôlé.

<span style="color: #943a99; font-family: Calibri; font-size: 11pt;">==> Erreur retournée : E0008 (Violation de la contrainte d’unicité).</span>

#### Définition d’une contrainte d’unicité dans la liste

En cliquant dans l’arbre, sur le nœud type d’entité d’un schéma ![](../../Ressources/Images/clic_TE.png), la liste des types d’entité composant le schéma s’affiche dans la fenêtre de droite. La liste permet de visualiser tous les types d’entité et les contraintes définies dans le formulaire de création. L’onglet **Unicité** de la liste permet d’afficher la liste de tous les contraintes d’unicité des types d’entité du schéma en cours.

![](../../Ressources/Images/liste_unicite.png)
